Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.run.jca
Class CacheAdapter.CacheConnectionSpec

`java.lang.Object
com.tangosol.run.jca.CacheAdapter.CacheConnectionSpec`

All Implemented Interfaces:
  javax.resource.cci.ConnectionSpec

Enclosing class:
  CacheAdapter

      public static class CacheAdapter.CacheConnectionSpec

extends Object
implements javax.resource.cci.ConnectionSpec

CacheConnectionSpec is an implementation of `ConnectionSpec` interface used to pass the connection info to the adapter.

See Also:
  `ConnectionFactory`

Constructor Summary
`CacheAdapter.CacheConnectionSpec(String sServiceName, String sServiceType, String sUserName, String sPassword, int nConcur, int nIsolation, int nTimeout)` Construct a ConnectionSpec based on the specified parameters.

Method Summary
`int` | `getConcurrency()`
`int` | `getIsolation()`
`String` | `getPassword()`
`String` | `getServiceName()`
`String` | `getServiceType()`
`int` | `getTimeout()`
`String` | `getUserName()`

Constructor Detail

### CacheAdapter.CacheConnectionSpec

    public CacheAdapter.CacheConnectionSpec(String sServiceName,
                                            String sServiceType,
                                            String sUserName,
                                            String sPassword,
                                            int nConcur,
                                            int nIsolation,
                                            int nTimeout)

  Construct a ConnectionSpec based on the specified parameters.

Method Detail

### getServiceName

    public String getServiceName()

### getServiceType

    public String getServiceType()

### getUserName

    public String getUserName()

### getPassword

    public String getPassword()

### getConcurrency

    public int getConcurrency()

### getIsolation

    public int getIsolation()

### getTimeout

    public int getTimeout()

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.